#pragma once

#include <QObject>

#include "WimaPlanData.h"

class WimaDataContainer : public QObject
{
    Q_OBJECT
public:
    WimaDataContainer(QObject *parent = nullptr);
    WimaDataContainer(WimaDataContainer &other, QObject *parent = nullptr) = delete;
    WimaDataContainer(WimaDataContainer &other) = delete;

    Q_INVOKABLE WimaDataContainer* pointerToThis() {return this;}  

signals:
    void newDataAvailable(void);

public slots:
    void                push(QSharedPointer<const WimaPlanData> planData);
    QSharedPointer<const WimaPlanData> pull() const;
private:


    QSharedPointer<const WimaPlanData> _planData;
};

